Bug 71274 - man emits escape sequences w/o checking $TERM
man emits escape sequences w/o checking $TERM
Product: Red Hat Raw Hide
Classification: Retired
Component: man (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-08-11 16:00 EDT by Kjetil T. Homme
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-11 16:00:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kjetil T. Homme 2002-08-11 16:00:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020712

Description of problem:
man 1.5j-9 emits escape sequences directly, regardless of how TERM is set.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. TERM=dumb man ls > /tmp/foo
2. od /tmp/foo | head

Actual Results:  /tmp/foo contains escape sequences

Expected Results:  it should be plain text.

man 1.5j-6 also ignores $TERM, but it uses the good old backspace convention to
add bold and underline, which is easily removable using ul(1).

Additional info:
Comment 1 Kjetil T. Homme 2002-10-02 15:43:35 EDT
hurrah!  man-1.5j-11 in Psyche uses the backspace convention!

Note You need to log in before you can comment on or make changes to this bug.